Finish passkey append
curl --request POST \
--url https://{projectId}.frontendapi.corbado.io/v2/auth/passkey/append/finish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signedChallenge": "<string>"
}
'import requests
url = "https://{projectId}.frontendapi.corbado.io/v2/auth/passkey/append/finish"
payload = { "signedChallenge": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signedChallenge: '<string>'})
};
fetch('https://{projectId}.frontendapi.corbado.io/v2/auth/passkey/append/finish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blockBody": {
"data": {
"blockType": "<string>",
"challenge": "<string>",
"identifierValue": "<string>",
"autoSubmit": true
},
"alternatives": "<array>",
"error": {
"code": "<string>",
"message": "<string>"
},
"continueOnOtherDevice": {}
},
"common": {
"appName": "<string>",
"frontendApiUrl": "<string>",
"hideBadge": true,
"environment": "<string>"
},
"newProcess": {
"token": "<string>",
"expiresAt": 123
}
}Auth
Finish passkey append
Completes the process of appending a new passkey.
POST
/
v2
/
auth
/
passkey
/
append
/
finish
Finish passkey append
Authorizations
bearerAuthprojectID
After a user logs in successfully, a session is created and a JWT token is returned.
This token represents the user's authenticated session.
It must be included in the Authorization header as a Bearer token for all protected endpoints:
Authorization: Bearer <your-token>
The server will validate this token to authorize access.
Body
application/json
tbd.
Was this page helpful?
⌘I